Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Class GlobalTransaction

    java.lang.Object
      org.jboss.cache.GlobalTransaction

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class GlobalTransaction

extends java.lang.Object
implements java.io.Externalizable

Uniquely identifies a transaction that spans all nodes in a cluster. This is used when replicating all modifications in a transaction; the PREPARE and COMMIT (or ROLLBACK) messages have to have a unique identifier to associate the changes with

Version:
  $Revision: 1.13 $
Author:
  Bela Ban Apr 12, 2003, Manik Surtani (manik@jboss.org)
See Also:
  Serialized Form

Constructor Summary
`GlobalTransaction()` empty ctor used by externalization

Method Summary
`int` | `compareTo(java.lang.Object o)`
`static GlobalTransaction` | `create(org.jgroups.Address addr)`
`boolean` | `equals(java.lang.Object other)`
`java.lang.Object` | `getAddress()`
`long` | `getId()`
`int` | `hashCode()`
`boolean` | `isRemote()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `setAddress(org.jgroups.Address address)`
`void` | `setId(long id)`
`void` | `setRemote(boolean remote)`
`java.lang.String` | `toString()`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlobalTransaction

    public GlobalTransaction()

  empty ctor used by externalization

Method Detail

### create

    public static GlobalTransaction create(org.jgroups.Address addr)

### getAddress

    public java.lang.Object getAddress()

### setAddress

    public void setAddress(org.jgroups.Address address)

### getId

    public long getId()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### isRemote

    public boolean isRemote()

  Returns:
    Returns the remote.

### setRemote

    public void setRemote(boolean remote)

  Parameters:
    `remote` - The remote to set.

### setId

    public void setId(long id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.